<template>
  <div id="app">
    <Navbar />
    <Errors v-if="error && !isLoggedIn" :msg="error" />
    <router-view />
  </div>
</template>

<script>
import Navbar from "./components/Navbar";
import Errors from "./components/Errors";
import { mapGetters } from "vuex";
export default {
  name: "app",
  components: {
    Navbar,
    Errors
  },
  computed: {
    ...mapGetters(["error", "isLoggedIn"])
  }
};
</script>

<style lang="scss">
body {
  overflow-x: hidden;
}
#app {
  font-family: "Avenir", Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-bottom: 50px;
}
.main-navigation {
  margin-bottom: 50px;
  // background-color: #b348a4 !important;
}
</style>
